Gnome2::Wnck::Workspace(3)

NAME
Gnome2::Wnck::Workspace

HIERARCHY
  Glib::Object
  +----Gnome2::Wnck::Workspace

METHODS

  $space->activate ($timestamp)

•   $timestamp (unsigned)

  $space->change_name ($name)

•   $name (string)

  integer = $space->get_height

  boolean = $space->is_virtual

  integer = $space->get_layout_column

  integer = $space->get_layout_row

  string = $space->get_name

  workspace or undef = $space->get_neighbor ($direction)

•   $direction (Gnome2::Wnck::MotionDirection)

  integer = $space->get_number

  screen = $space->get_screen

  integer = $space->get_viewport_x

  integer = $space->get_viewport_y

  integer = $space->get_width

SIGNALS

name-changed (Gnome2::Wnck::Workspace)

ENUMS AND FLAGS

  enum Gnome2::Wnck::MotionDirection
•   'up' / 'WNCK_MOTION_UP'

•   'down' / 'WNCK_MOTION_DOWN'

•   'left' / 'WNCK_MOTION_LEFT'

•   'right' / 'WNCK_MOTION_RIGHT'

SEE ALSO
Gnome2::Wnck, Glib::Object

COPYRIGHT
Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2::Wnck for a full notice.